/* Headerfile for ShowPicasso
** File: ShowPicasso.h
*/

#include <time.h>

#include <stdio.h>
#include <clib/asl_protos.h>
#include <clib/dos_protos.h>
#include <clib/exec_protos.h>
#include <clib/icon_protos.h>
#include <clib/iffparse_protos.h>
#include <clib/intuition_protos.h>
#include <clib/locale_protos.h>
#include <clib/reqtools_protos.h>
#include <clib/wb_protos.h>
#include <dos/dos.h>
#include <dos/dosextens.h>
#include <exec/exec.h>
#include <exec/libraries.h>
#include <graphics/modeid.h>
#include <graphics/view.h>
#include <intuition/intuition.h>
#include <intuition/intuitionbase.h>
#include <intuition/screens.h>
#include <libraries/asl.h>
#include <libraries/iffparse.h>
#include <libraries/reqtools.h>
#include <utility/tagitem.h>
#include <workbench/startup.h>
#include <vilintuisup/vilintuisup.h>
#include <vilintuisup/screenmode.h>
#include <iffp/iff.h>
#include <iffp/ilbm.h>

#define  WSig SIGBREAKF_CTRL_C | (1 << w->UserPort->mp_SigBit)
#define  LIBRARY_MIN 37L

/* Bits for IFFSTATE */

#define  BMHDFLG 0x0001   /* BMHD Chunk gefunden */
#define  CAMGFLG 0x0002   /* CAMG Chunk gefunden */
#define  CMAPFLG 0x0004   /* CMAP Chunk gefunden */
#define  RGB8FLG 0x2000   /* Flag fr IFF RGB8   */
#define  RGBNFLG 0x4000   /* Flag fr IFF RGBN   */
#define  ILBMFLG 0x8000   /* Flag fr IFF ILBM   */

/* Bits for USERFLGS */

#define  UFLG_NOCENTER 0x0001 /* Zentrieren des Screens */
#define  UFLG_BEHIND   0x0002 /* Bildaufbau im Hintergrund */
#define  UFLG_AUTO16   0x0004 /* Automatischen Umschaltung auf 16 Bit */
#define  UFLG_NOSCROLL 0x0008 /* Autoscroll-Screen */
#define  UFLG_QUIET    0x0010 /* Quietflag bei Start vom CLI */
#define  UFLG_APPICON  0x0020 /* Einrichtung eines AppIcons */
#define  UFLG_FMSGREQ  0x0040 /* Erzwingen der Ausgabe in einen Requester */
#define  PFLG_TRUECLR  0x0100 /* Truecolor 24 Bit */
#define  UFLG_TC15BIT  0x0200 /* Truecolor Umrechnung auf 15 Bit */
#define  UFLG_TC16BIT  0x0400 /* Truecolor Umrechnung auf 16 Bit */
#define  PFLG_WBSTART  0x1000 /* Start von WB */
#define  PFLG_CLIARGS  0x2000 /* bergabe der Filenamen beim Start von CLI */
#define  PFLG_WBARGS   0x4000 /* bergabe der Filenamen beim Start von WB */

/* User Aktion */

#define  USR_BREAK 9999L /* Abbruch durch User */