/* Protos for ShowPicasso
** File: sp_protos.h
*/

/* showpicasso.c */

BYTE OpenPic(UBYTE *);
VOID ClosePic(BPTR);
BOOL OpenDisplay(BitMapHeader *, ULONG);
VOID CloseDisplay(VOID);
VOID GetArgs(int, struct WBStartup *);
BOOL InstallAppIcon(struct WBStartup *);
VOID DeleteAppIcon(VOID);
BOOL FileRequest(VOID);
VOID ViewPicture(STRPTR *, STRPTR, BPTR *);
VOID main(int, struct WBStartup *);

/* Konvertierungsroutinen Planar => Chunky in convert.o (Assembler) */

VOID Convert8(UBYTE *, UWORD *, UBYTE, UWORD);
VOID Convert24(UBYTE *, UWORD *, UWORD);
VOID Convert15(UBYTE *, UWORD *, UWORD); /* statt UBYTE * besser UWORD * */
VOID Convert16(UBYTE *, UWORD *, UWORD); /*           -''-               */
VOID ConvertHAM6(UBYTE *, UWORD *, UBYTE *, UBYTE *, UWORD);
VOID ConvertHAM8(UBYTE *, UWORD *, UBYTE *, UBYTE *, UWORD);

/* sp_iff.c */

BYTE IsIFF(struct IFFHandle *);
BOOL GetBMHD(struct IFFHandle *, BitMapHeader *);
BOOL GetCAMG(struct IFFHandle *, ULONG *);
BOOL GetCMAP(struct IFFHandle *, UBYTE *, LONG);
LONG GetBODY_ILBM(struct IFFHandle *, BitMapHeader *, ULONG, struct Screen * );
LONG GetBODY_RGBx(struct IFFHandle *, BitMapHeader *, struct Screen *);

/* sp_tools.c */

LONG stol(UBYTE *);
VOID OutText(STRPTR, STRPTR);
BOOL OpenLibs(VOID);
VOID CloseLibs(VOID);
BOOL GetWorkSpace(VOID);
VOID FreeWorkSpace(VOID);

/* sp_catalog.c */

STRPTR GetString(LONG);
